Subject: [MSEC] TEK-CS mapping in MIKEY/SRTP

From: "John W. Floroiu" <[email-masked]>
Date: Mon, 10 Dec 2007 13:07:26 +0100

Hello,

I have the following issue: when negotiating the security parameters for 
an RTP session consisting of several SRTP streams having each of them 
its own SRTP master key, and assuming the SRTP master keys are sent as a 
sequence of TEKs, how are the TEKs in the KEMAC mapped to their 
corresponding CSs in case the KVs are null or of type From-To? (There 
seems to be nothing like a Policy # which helps mapping a crypto session 
to a policy.)

Thank you in advance.

Regards,
John

_______________________________________________
MSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/msec

---

From: "Fries, Steffen" <[email-masked]>
Date: Mon, 10 Dec 2007 13:34:47 +0100

Hi John,

you can use the CS ID map info in the common header payload. Using this
fiield you can map the policies to the SSRCs of the different streams.
Section 6.1.1 of RFC3830 describes this mapping. Section 6.10. furtheron
describes the security policy payload. The key validity is associated to
the key via the key data sub-payload and part of the policy.

Regards
	Steffen

> -----Original Message-----
> From: John W. Floroiu [mailto:[email-masked]] 
> Sent: Monday, December 10, 2007 1:07 PM
> To: [email-masked]
> Subject: [MSEC] TEK-CS mapping in MIKEY/SRTP
> 
> 
> Hello,
> 
> I have the following issue: when negotiating the security 
> parameters for an RTP session consisting of several SRTP 
> streams having each of them its own SRTP master key, and 
> assuming the SRTP master keys are sent as a sequence of TEKs, 
> how are the TEKs in the KEMAC mapped to their corresponding 
> CSs in case the KVs are null or of type From-To? (There seems 
> to be nothing like a Policy # which helps mapping a crypto 
> session to a policy.)
> 
> Thank you in advance.
> 
> Regards,
> John
>

---

From: "Fries, Steffen" <[email-masked]>
Date: Mon, 10 Dec 2007 13:34:47 +0100

Hi John,

Regards
	Steffen